API Rest Secteur

CCAS

getCCAS

Fonction qui retourne les informations du CCAS le plus proche de l'adresse passée en paramètres


/{version}/epsg:{typeProjection}/ccas/{idAdresse}.{_format}

Usage and SDK Samples

curl -X GET "https://api-secteur.sig.rennesmetropole.fr/{version}/epsg:{typeProjection}/ccas/{idAdresse}.{_format}"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.CCASApi;

import java.io.File;
import java.util.*;

public class CCASApiExample {

    public static void main(String[] args) {

        CCASApi apiInstance = new CCASApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getCCAS(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling CCASApi#getCCAS");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.CCASApi;

public class CCASApiExample {

    public static void main(String[] args) {
        CCASApi apiInstance = new CCASApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getCCAS(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling CCASApi#getCCAS");
            e.printStackTrace();
        }
    }
}
String *version = version_example; // Version de l'API
String *typeProjection = typeProjection_example; // Le type de projection souhaité
String *idAdresse = idAdresse_example; // L'ID de l'adresse
String *format = format_example; // Format de retour souhaité

CCASApi *apiInstance = [[CCASApi alloc] init];

// Fonction qui retourne les informations du CCAS le plus proche de l'adresse passée en paramètres
[apiInstance getCCASWith:version
    typeProjection:typeProjection
    idAdresse:idAdresse
    format:format
              completionHandler: ^(NSError* error) {
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiRestSecteur = require('api_rest_secteur');

var api = new ApiRestSecteur.CCASApi()

var version = version_example; // {String} Version de l'API

var typeProjection = typeProjection_example; // {String} Le type de projection souhaité

var idAdresse = idAdresse_example; // {String} L'ID de l'adresse

var format = format_example; // {String} Format de retour souhaité


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.getCCAS(version, typeProjection, idAdresse, format, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class getCCASExample
    {
        public void main()
        {

            var apiInstance = new CCASApi();
            var version = version_example;  // String | Version de l'API
            var typeProjection = typeProjection_example;  // String | Le type de projection souhaité
            var idAdresse = idAdresse_example;  // String | L'ID de l'adresse
            var format = format_example;  // String | Format de retour souhaité

            try
            {
                // Fonction qui retourne les informations du CCAS le plus proche de l'adresse passée en paramètres
                apiInstance.getCCAS(version, typeProjection, idAdresse, format);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CCASApi.getCCAS: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\CCASApi();
$version = version_example; // String | Version de l'API
$typeProjection = typeProjection_example; // String | Le type de projection souhaité
$idAdresse = idAdresse_example; // String | L'ID de l'adresse
$format = format_example; // String | Format de retour souhaité

try {
    $api_instance->getCCAS($version, $typeProjection, $idAdresse, $format);
} catch (Exception $e) {
    echo 'Exception when calling CCASApi->getCCAS: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::CCASApi;

my $api_instance = WWW::SwaggerClient::CCASApi->new();
my $version = version_example; # String | Version de l'API
my $typeProjection = typeProjection_example; # String | Le type de projection souhaité
my $idAdresse = idAdresse_example; # String | L'ID de l'adresse
my $format = format_example; # String | Format de retour souhaité

eval {
    $api_instance->getCCAS(version => $version, typeProjection => $typeProjection, idAdresse => $idAdresse, format => $format);
};
if ($@) {
    warn "Exception when calling CCASApi->getCCAS: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.CCASApi()
version = version_example # String | Version de l'API
typeProjection = typeProjection_example # String | Le type de projection souhaité
idAdresse = idAdresse_example # String | L'ID de l'adresse
format = format_example # String | Format de retour souhaité

try:
    # Fonction qui retourne les informations du CCAS le plus proche de l'adresse passée en paramètres
    api_instance.get_ccas(version, typeProjection, idAdresse, format)
except ApiException as e:
    print("Exception when calling CCASApi->getCCAS: %s\n" % e)

Parameters

Path parameters
Name Description
version*
String
Version de l'API
Required
typeProjection*
String
Le type de projection souhaité
Required
idAdresse*
String
L'ID de l'adresse
Required
_format*
String
Format de retour souhaité
Required

Responses

Status: 200 - OK

Status: 404 - Ressource non trouvée


Périmètre Scolaire

getPerimetreScolaire

Fonction qui retourne les informations des établissements scolaires les plus proches de l'adresse passée en paramètres


/{version}/epsg:{typeProjection}/perimetre-scolaire/{idAdresse}.{_format}

Usage and SDK Samples

curl -X GET "https://api-secteur.sig.rennesmetropole.fr/{version}/epsg:{typeProjection}/perimetre-scolaire/{idAdresse}.{_format}"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.PrimtreScolaireApi;

import java.io.File;
import java.util.*;

public class PrimtreScolaireApiExample {

    public static void main(String[] args) {

        PrimtreScolaireApi apiInstance = new PrimtreScolaireApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getPerimetreScolaire(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling PrimtreScolaireApi#getPerimetreScolaire");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.PrimtreScolaireApi;

public class PrimtreScolaireApiExample {

    public static void main(String[] args) {
        PrimtreScolaireApi apiInstance = new PrimtreScolaireApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getPerimetreScolaire(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling PrimtreScolaireApi#getPerimetreScolaire");
            e.printStackTrace();
        }
    }
}
String *version = version_example; // Version de l'API
String *typeProjection = typeProjection_example; // Le type de projection souhaité
String *idAdresse = idAdresse_example; // L'ID de l'adresse
String *format = format_example; // Format de retour souhaité

PrimtreScolaireApi *apiInstance = [[PrimtreScolaireApi alloc] init];

// Fonction qui retourne les informations des établissements scolaires les plus proches de l'adresse passée en paramètres
[apiInstance getPerimetreScolaireWith:version
    typeProjection:typeProjection
    idAdresse:idAdresse
    format:format
              completionHandler: ^(NSError* error) {
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiRestSecteur = require('api_rest_secteur');

var api = new ApiRestSecteur.PrimtreScolaireApi()

var version = version_example; // {String} Version de l'API

var typeProjection = typeProjection_example; // {String} Le type de projection souhaité

var idAdresse = idAdresse_example; // {String} L'ID de l'adresse

var format = format_example; // {String} Format de retour souhaité


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.getPerimetreScolaire(version, typeProjection, idAdresse, format, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class getPerimetreScolaireExample
    {
        public void main()
        {

            var apiInstance = new PrimtreScolaireApi();
            var version = version_example;  // String | Version de l'API
            var typeProjection = typeProjection_example;  // String | Le type de projection souhaité
            var idAdresse = idAdresse_example;  // String | L'ID de l'adresse
            var format = format_example;  // String | Format de retour souhaité

            try
            {
                // Fonction qui retourne les informations des établissements scolaires les plus proches de l'adresse passée en paramètres
                apiInstance.getPerimetreScolaire(version, typeProjection, idAdresse, format);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PrimtreScolaireApi.getPerimetreScolaire: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\PrimtreScolaireApi();
$version = version_example; // String | Version de l'API
$typeProjection = typeProjection_example; // String | Le type de projection souhaité
$idAdresse = idAdresse_example; // String | L'ID de l'adresse
$format = format_example; // String | Format de retour souhaité

try {
    $api_instance->getPerimetreScolaire($version, $typeProjection, $idAdresse, $format);
} catch (Exception $e) {
    echo 'Exception when calling PrimtreScolaireApi->getPerimetreScolaire: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::PrimtreScolaireApi;

my $api_instance = WWW::SwaggerClient::PrimtreScolaireApi->new();
my $version = version_example; # String | Version de l'API
my $typeProjection = typeProjection_example; # String | Le type de projection souhaité
my $idAdresse = idAdresse_example; # String | L'ID de l'adresse
my $format = format_example; # String | Format de retour souhaité

eval {
    $api_instance->getPerimetreScolaire(version => $version, typeProjection => $typeProjection, idAdresse => $idAdresse, format => $format);
};
if ($@) {
    warn "Exception when calling PrimtreScolaireApi->getPerimetreScolaire: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.PrimtreScolaireApi()
version = version_example # String | Version de l'API
typeProjection = typeProjection_example # String | Le type de projection souhaité
idAdresse = idAdresse_example # String | L'ID de l'adresse
format = format_example # String | Format de retour souhaité

try:
    # Fonction qui retourne les informations des établissements scolaires les plus proches de l'adresse passée en paramètres
    api_instance.get_perimetre_scolaire(version, typeProjection, idAdresse, format)
except ApiException as e:
    print("Exception when calling PrimtreScolaireApi->getPerimetreScolaire: %s\n" % e)

Parameters

Path parameters
Name Description
version*
String
Version de l'API
Required
typeProjection*
String
Le type de projection souhaité
Required
idAdresse*
String
L'ID de l'adresse
Required
_format*
String
Format de retour souhaité
Required

Responses

Status: 200 - OK

Status: 404 - Ressource non trouvée


Quartier

getQuartier

Fonction qui retourne les informations du quartier de l'adresse passée en paramètres


/{version}/epsg:{typeProjection}/quartier/{idAdresse}.{_format}

Usage and SDK Samples

curl -X GET "https://api-secteur.sig.rennesmetropole.fr/{version}/epsg:{typeProjection}/quartier/{idAdresse}.{_format}"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.QuartierApi;

import java.io.File;
import java.util.*;

public class QuartierApiExample {

    public static void main(String[] args) {

        QuartierApi apiInstance = new QuartierApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getQuartier(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling QuartierApi#getQuartier");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.QuartierApi;

public class QuartierApiExample {

    public static void main(String[] args) {
        QuartierApi apiInstance = new QuartierApi();
        String version = version_example; // String | Version de l'API
        String typeProjection = typeProjection_example; // String | Le type de projection souhaité
        String idAdresse = idAdresse_example; // String | L'ID de l'adresse
        String format = format_example; // String | Format de retour souhaité
        try {
            apiInstance.getQuartier(version, typeProjection, idAdresse, format);
        } catch (ApiException e) {
            System.err.println("Exception when calling QuartierApi#getQuartier");
            e.printStackTrace();
        }
    }
}
String *version = version_example; // Version de l'API
String *typeProjection = typeProjection_example; // Le type de projection souhaité
String *idAdresse = idAdresse_example; // L'ID de l'adresse
String *format = format_example; // Format de retour souhaité

QuartierApi *apiInstance = [[QuartierApi alloc] init];

// Fonction qui retourne les informations du quartier de l'adresse passée en paramètres
[apiInstance getQuartierWith:version
    typeProjection:typeProjection
    idAdresse:idAdresse
    format:format
              completionHandler: ^(NSError* error) {
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiRestSecteur = require('api_rest_secteur');

var api = new ApiRestSecteur.QuartierApi()

var version = version_example; // {String} Version de l'API

var typeProjection = typeProjection_example; // {String} Le type de projection souhaité

var idAdresse = idAdresse_example; // {String} L'ID de l'adresse

var format = format_example; // {String} Format de retour souhaité


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.getQuartier(version, typeProjection, idAdresse, format, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class getQuartierExample
    {
        public void main()
        {

            var apiInstance = new QuartierApi();
            var version = version_example;  // String | Version de l'API
            var typeProjection = typeProjection_example;  // String | Le type de projection souhaité
            var idAdresse = idAdresse_example;  // String | L'ID de l'adresse
            var format = format_example;  // String | Format de retour souhaité

            try
            {
                // Fonction qui retourne les informations du quartier de l'adresse passée en paramètres
                apiInstance.getQuartier(version, typeProjection, idAdresse, format);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling QuartierApi.getQuartier: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\QuartierApi();
$version = version_example; // String | Version de l'API
$typeProjection = typeProjection_example; // String | Le type de projection souhaité
$idAdresse = idAdresse_example; // String | L'ID de l'adresse
$format = format_example; // String | Format de retour souhaité

try {
    $api_instance->getQuartier($version, $typeProjection, $idAdresse, $format);
} catch (Exception $e) {
    echo 'Exception when calling QuartierApi->getQuartier: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::QuartierApi;

my $api_instance = WWW::SwaggerClient::QuartierApi->new();
my $version = version_example; # String | Version de l'API
my $typeProjection = typeProjection_example; # String | Le type de projection souhaité
my $idAdresse = idAdresse_example; # String | L'ID de l'adresse
my $format = format_example; # String | Format de retour souhaité

eval {
    $api_instance->getQuartier(version => $version, typeProjection => $typeProjection, idAdresse => $idAdresse, format => $format);
};
if ($@) {
    warn "Exception when calling QuartierApi->getQuartier: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.QuartierApi()
version = version_example # String | Version de l'API
typeProjection = typeProjection_example # String | Le type de projection souhaité
idAdresse = idAdresse_example # String | L'ID de l'adresse
format = format_example # String | Format de retour souhaité

try:
    # Fonction qui retourne les informations du quartier de l'adresse passée en paramètres
    api_instance.get_quartier(version, typeProjection, idAdresse, format)
except ApiException as e:
    print("Exception when calling QuartierApi->getQuartier: %s\n" % e)

Parameters

Path parameters
Name Description
version*
String
Version de l'API
Required
typeProjection*
String
Le type de projection souhaité
Required
idAdresse*
String
L'ID de l'adresse
Required
_format*
String
Format de retour souhaité
Required

Responses

Status: 200 - OK

Status: 404 - Ressource non trouvée


Documentation auto-générée le 26-04-2019 à 15:51:33